/*
 * Texas Instruments PCM1690 low power audio CODEC
 * ALSA SoC CODEC driver
 *
 * Copyright (C) Jon Smirl <jonsmirl@gmail.com>
 */


#define PCM1690_RATES (SNDRV_PCM_RATE_32000 |\
				SNDRV_PCM_RATE_44100 | SNDRV_PCM_RATE_48000 |\
				SNDRV_PCM_RATE_88200 | SNDRV_PCM_RATE_96000 |\
				SNDRV_PCM_RATE_176400 | SNDRV_PCM_RATE_192000)
#define PCM1690_FORMATS SNDRV_PCM_FMTBIT_S32

extern struct snd_soc_dai pcm1690_dai;
extern struct snd_soc_codec_device pcm1690_soc_codec_dev;